Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.pkcs
Class EncryptedPrivateKeyInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.EncryptedPrivateKeyInfo

All Implemented Interfaces:
  DEREncodable

    public class EncryptedPrivateKeyInfo

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`EncryptedPrivateKeyInfo(AlgorithmIdentifier algId, byte[] encoding)`
`EncryptedPrivateKeyInfo(ASN1Sequence seq)`

Method Summary
`byte[]` `getEncryptedData()`
`AlgorithmIdentifier` `getEncryptionAlgorithm()`
`static EncryptedPrivateKeyInfo` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedPrivateKeyInfo

    public EncryptedPrivateKeyInfo(ASN1Sequence seq)

### EncryptedPrivateKeyInfo

    public EncryptedPrivateKeyInfo(AlgorithmIdentifier algId,
                                   byte[] encoding)

Method Detail

### getInstance

    public static EncryptedPrivateKeyInfo getInstance(java.lang.Object obj)

### getEncryptionAlgorithm

    public AlgorithmIdentifier getEncryptionAlgorithm()

### getEncryptedData

    public byte[] getEncryptedData()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       EncryptedPrivateKeyInfo ::= SEQUENCE {
            encryptionAlgorithm AlgorithmIdentifier {{KeyEncryptionAlgorithms}},
            encryptedData EncryptedData
       }

       EncryptedData ::= OCTET STRING

       KeyEncryptionAlgorithms ALGORITHM-IDENTIFIER ::= {
                ... -- For local profiles
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45